xfstests: Test FITRIM where length is smaller than FSB
[xfstests-dev.git] / 080
1 #! /bin/bash
2 # FS QA Test No. 080
3 #
4 # rwtest (iogen|doio)
5 #
6 #-----------------------------------------------------------------------
7 # Copyright (c) 2000-2003 Silicon Graphics, Inc.  All Rights Reserved.
8 #
9 # This program is free software; you can redistribute it and/or
10 # modify it under the terms of the GNU General Public License as
11 # published by the Free Software Foundation.
12 #
13 # This program is distributed in the hope that it would be useful,
14 # but WITHOUT ANY WARRANTY; without even the implied warranty of
15 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
16 # GNU General Public License for more details.
17 #
18 # You should have received a copy of the GNU General Public License
19 # along with this program; if not, write the Free Software Foundation,
20 # Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
21 #
22 #-----------------------------------------------------------------------
23 #
24 # creator
25 owner=nathans@sgi.com
26
27 seq=`basename $0`
28 echo "QA output created by $seq"
29
30 here=`pwd`
31 tmp=/tmp/$$
32 status=1        # failure is the default!
33 trap "_cleanup; exit \$status" 0 1 2 3 15
34
35 # get standard environment, filters and checks
36 . ./common.rc
37 . ./common.filter
38
39 _cleanup()
40
41     cd /
42     rm -f $tmp.*
43    _cleanup_testdir
44 }
45
46 _supported_fs xfs
47
48 # Apparently should be able to work on IRIX,
49 # but not at the moment.
50 _supported_os Linux
51
52 _setup_testdir
53
54 quiet=-q
55 clean=-c
56
57 export here
58 cd $testdir
59 echo
60
61 # real QA test starts here
62
63 # to get sh working like ksh on IRIX
64 export _XPG=1
65
66 $here/ltp/rwtest.sh $quiet $clean -i 2000 -f direct,buffered,sync
67 status=$?
68 [ $status -ne 0 ] && exit
69 echo Completed rwtest pass 1 successfully.
70
71 #$here/ltp/rwtest.sh $quiet $clean -Dv -i 1000 -n 10 -f direct,buffered,sync
72 #[ $status -ne 0 ] && exit
73 #echo Completed rwtest pass 2 successfully.
74
75 exit